=== debian/control ===
Source: simbamond
Section: admin
Priority: optional
Maintainer: Hamish Cunningham (http://gate.ac.uk/hamish/) <hamish@gate.ac.uk>
Build-Depends: debhelper (>= 8.0.0), devscripts, gawk
Standards-Version: 3.9.3
Homepage: http://pi.gate.ac.uk/pages/mopi.html#simbamon
Vcs-Git: git://github.com/hamishcunningham/pi-tronics.git
Vcs-Browser: https://github.com/hamishcunningham/pi-tronics/tree/master/simbamon

Package: simbamond
Architecture: all
Depends: python-rpi.gpio, python-smbus, whiptail, bc, ${misc:Depends}
Recommends:
Description: simbamon, a Simple Battery Monitor
 simbamon is an open source Linux daemon for monitoring battery levels;
 sending warning messages to the user if the battery is low; shutting down
 cleanly at critical battery levels; managing a power supply on/off switch;
 writing relevant data to the system logs. It is bundled with configuration
 and API tools for the MoPi mobile Pi power board. See
 http://pi.gate.ac.uk/pages/mopi.html#simbamon
